/* BE and FE - do not wrap styles in @media {} for BE use! */

.align-center { text-align: center; }
.align-left { text-align: left; }
.align-justify { text-align: justify; }
.align-right { text-align: right; }

.fa-rotate-45::before {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
  display: inline-block;
}

.fa-rotate-315::before {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
  display: inline-block;
}

.fa:not(i) {
    display:inline;
    font-style:inherit;
    font-weight:inherit;
    font-family:inherit;
}

a > .fa {
    margin-right: 0.25em;
}
a > .fa-after {
    margin-left: 0.25em;
    margin-right: 0;
}

[data-icon="fa-file-o"][href$="pdf"] i::before {
    content: '\f1c1';
}
[data-icon="fa-file-o"][href$="docx"] i::before,
[data-icon="fa-file-o"][href$="doc"] i::before {
    content: '\f1c2';
}
[data-icon="fa-file-o"][href$="xlsx"] i::before,
[data-icon="fa-file-o"][href$="xls"] i::before {
    content: '\f1c3';
}
[data-icon="fa-file-o"][href$="pptx"] i::before,
[data-icon="fa-file-o"][href$="ppt"] i::before {
    content: '\f1c4';
}

[data-icon="fa-file-o"][href$="psd"] i::before,
[data-icon="fa-file-o"][href$="tiff"] i::before,
[data-icon="fa-file-o"][href$="tif"] i::before,
[data-icon="fa-file-o"][href$="bmp"] i::before,
[data-icon="fa-file-o"][href$="jpg"] i::before,
[data-icon="fa-file-o"][href$="png"] i::before {
    content: '\f1c5';
}
[data-icon="fa-file-o"][href$="zip"] i::before {
    content: '\f1c6';
}
[data-icon="fa-file-o"][href$="webm"] i::before,
[data-icon="fa-file-o"][href$="mov"] i::before,
[data-icon="fa-file-o"][href$="mp4"] i::before {
    content: '\f1c8';
}

[data-icon="fa-phone"] i::before {
    content: '\f095';
}

.ul-no-bullet {
    list-style: none;
    padding-left: 0;
}

.ul-check {
    padding-left: 1.5625em !important;
}

.ul-check > li {
    padding-left: 0.625em;
}

.ul-check > li::marker {
    color: rgb(113,191,68) !important;
    content: "✔";
    font-size: 2em;
    line-height: 1;
}

.p-big { font-size: 125%; }
.p-tiny { font-size: 87.5%; }

.c-bold { font-weight: 600 !important; }
.c-bold.fa::before {
    font-weight: 600;
}

.c-tiny { font-size: 87.5%; }

.c-important { color: rgb(204,0,0); }

.c-nowrap {
    white-space: nowrap;
}

/* (partial) bootstrap btn rules */

a.btn-primary,
a.btn-secondary {
    text-decoration: none !important;
    text-shadow: none !important;
}

.btn {
    display: inline-block;
    font-weight: normal;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: 0.9375rem 2.25rem;
    font-size: 1rem;
    line-height: 1.25;
    border-radius: 0;
    -webkit-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.btn > .fa-after {
    margin-left: 0.5em;
}
.btn > .fa {
    margin-right: 0.5em;
}

.ce-bodytext .btn {
    margin-top: 0.625rem;
}

.ce-bodytext .btn + .btn {
    margin-left: 1em;
}

.btn:focus,
.btn:hover,
.btn.hover {
    box-shadow: 0 0 1.25em 0 rgba(0,113,187,0.25);
}

.btn:focus, .btn.focus {
   
}

.btn:disabled, .btn.disabled {
    box-shadow: none;
    cursor: not-allowed;
    opacity: .65;
}

.btn:active, .btn.active {
    background-image: none;
}

a.btn.disabled,
fieldset[disabled] a.btn {
    pointer-events: none;
}

.btn-primary {
    color: rgb(255,255,255);
    background-color: rgb(0,113,187);
    border-color: rgb(0,113,187);
}

.btn-primary:hover, .btn-primary.hover {
    color: rgb(255,255,255);
}

.btn-primary:active, .btn-primary.active {
}

.btn-primary:disabled, .btn-primary.disabled {
}

.btn-secondary {
    color: rgb(0,113,187);
    background-color: rgb(255,255,255);
    border-color: currentColor;
}

.btn-secondary:hover, .btn-secondary.hover {
}

.btn-secondary:active, .btn-secondary.active {
}

.btn-secondary:disabled, .btn-secondary.disabled {
}

.btn-link {
    font-weight: normal;
    color: rgb(0,113,187);
}

.btn-link,
.btn-link:active, .btn-link.active,
.btn-link:disabled, .btn-link.disabled {
}


.btn-link:focus, .btn-link.focus,
.btn-link:hover, .btn-link.hover,
.btn-link:active, .btn-link.active {
    color: rgb(239,62,35);
    box-shadow: none;
}

.btn-link:disabled, .btn-link.disabled {
}

.btn-link:disabled:focus, .btn-link:disabled:hover {
    text-decoration: none;
}
